ControlCommandsClientImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.agent.client.ControlCommandsClientImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.agent.client
Class ControlCommandsClientImpl

    java.lang.Object
      org.hyperic.hq.agent.client.AbstractCommandsClient
          org.hyperic.hq.control.agent.client.ControlCommandsClientImpl

All Implemented Interfaces:
  ControlCommandsClient

    public class ControlCommandsClientImpl

extends AbstractCommandsClient
implements ControlCommandsClient

The Control Commands client that uses the new transport.

Field Summary

Fields inherited from class org.hyperic.hq.agent.client.AbstractCommandsClient
`_log`

Constructor Summary
`ControlCommandsClientImpl(Agent agent, AgentProxyFactory factory)`

Method Summary
`void` | `controlPluginAdd(java.lang.String pluginName, java.lang.String pluginType, ConfigResponse response)` Register a control plugin for use on this agent
`void` | `controlPluginCommand(java.lang.String pluginName, java.lang.String pluginType, java.lang.Integer id, java.lang.String action, java.lang.String args)` Issue a control operation on a plugin and associate it with a job id
`void` | `controlPluginRemove(java.lang.String pluginName)` Remove a control plugin on an agent

Methods inherited from class org.hyperic.hq.agent.client.AbstractCommandsClient
`getAgent, getAsynchronousProxy, getSynchronousProxy, safeDestroyService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlCommandsClientImpl

    public ControlCommandsClientImpl(Agent agent,
                                     AgentProxyFactory factory)

Method Detail

### controlPluginAdd

    public void controlPluginAdd(java.lang.String pluginName,
                                 java.lang.String pluginType,
                                 ConfigResponse response)
                          throws AgentRemoteException,
                                 AgentConnectionException

  Description copied from interface: `ControlCommandsClient`
  Register a control plugin for use on this agent

  Specified by:
    `controlPluginAdd` in interface `ControlCommandsClient`
  Parameters:
    `pluginName` - The plugin name
    `pluginType` - The type of plugin to create
    `response` - The plugin configuration
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
  See Also:
    `ControlCommandsClient.controlPluginAdd(java.lang.String, java.lang.String, org.hyperic.util.config.ConfigResponse)`

### controlPluginCommand

    public void controlPluginCommand(java.lang.String pluginName,
                                     java.lang.String pluginType,
                                     java.lang.Integer id,
                                     java.lang.String action,
                                     java.lang.String args)
                              throws AgentRemoteException,
                                     AgentConnectionException

  Description copied from interface: `ControlCommandsClient`
  Issue a control operation on a plugin and associate it with a job id

  Specified by:
    `controlPluginCommand` in interface `ControlCommandsClient`
  Parameters:
    `pluginName` - The plugin id
    `pluginType` - The plugin type
    `action` - The action to perform
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
  See Also:
    `ControlCommandsClient.controlPluginCommand(java.lang.String, java.lang.String, java.lang.Integer, java.lang.String, java.lang.String)`

### controlPluginRemove

    public void controlPluginRemove(java.lang.String pluginName)
                             throws AgentRemoteException,
                                    AgentConnectionException

  Description copied from interface: `ControlCommandsClient`
  Remove a control plugin on an agent

  Specified by:
    `controlPluginRemove` in interface `ControlCommandsClient`
  Parameters:
    `pluginName` - The plugin name
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
  See Also:
    `ControlCommandsClient.controlPluginRemove(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.